
import com.gif4j.TextPainter;
import com.gif4j.ImageUtils;

import java.awt.image.BufferedImage;
import java.awt.*;
import java.util.Random;

/**
 * Some helpful methods
 */

public class TestUtils {

    static Random random  = new Random();

    /**
     * this methods create new BufferedImage object with random colored border and signed description
     */
    static final BufferedImage genTestImage(String text, int width, int height){
        TextPainter painter = new TextPainter(new Font("Arial",Font.PLAIN,10));
        BufferedImage textBI = painter.renderText(text+" "+width+"x"+height,width-10,false,true);
        return ImageUtils.borderWithPaint(textBI,width,height,genRandomColor());
    }

    private static final Color genRandomColor(){
        return new Color(random.nextInt(200)+56,random.nextInt(200)+56,random.nextInt(200)+56);
    }
}
